USE main;

CREATE TABLE items IF NOT EXISTS (id INT AUTO_INCREMENT NOT NULL, name VARCHAR(40) NOT NULL, price DOUBLE PRECISION DEFAULT NULL, id_type INT NOT NULL, id_peoples INT NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB;

CREATE TABLE peoples IF NOT EXISTS (id INT AUTO_INCREMENT NOT NULL, last_name VARCHAR(40) NOT NULL, first_name VARCHAR(40) NOT NULL, email VARCHAR(40) DEFAULT NULL, adresse VARCHAR(40) DEFAULT NULL, code_p VARCHAR(9) DEFAULT NULL, tel VARCHAR(16) DEFAULT NULL, date_nais DATE NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB;

CREATE TABLE types IF NOT EXISTS (id INT AUTO_INCREMENT NOT NULL, label VARCHAR(40) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB;

CREATE TABLE IF NOT EXISTS (...);